Name:		qjackctl
Version:	0.9.9
Release:	%mkrel 1
Summary:	A QT GUI for the jack audio daemon
License:	GPLv2+
Group:		Sound
URL:		http://qjackctl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qjackctl/%{name}-%{version}.tar.xz
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	qttools5
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)

Requires:	jackit >= 0.90.0

%description
JACK Audio Connection Kit - Qt GUI Interface: A simple Qt application to
control the JACK server daemon.

%prep
%setup -q

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -Wno-dev -B build
cmake --build build %{?_smp_mflags}

%install
DESTDIR="%{buildroot}" \
cmake --install build

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --remove-category="Audio" \
  --remove-category="AudioVideo" \
  --remove-category="Midi" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*.desktop

%files
%{_bindir}
%{_datadir}


%post
%update_menus

%postun
%clean_menus

%changelog
* Wed Dec 28 2022 tex - 0.9.9-1pclos2023
- new version

* Tue Oct 04 2022 tex - 0.9.8-1pclos2022
- new version

* Mon Sep 19 2022 tex - 0.9.7-2pclos2022
- rebuild against updates

* Fri Jun 03 2022 onkelho <oh.quait at gmail.com> - 0.9.7-1pclos2022
- new vwersion

* Sat Jan 15 2022 tex - 0.9.6-1pclos2022
- new version

* Tue Jul 06 2021 tex - 0.9.4-1pclos2021
- new version

* Wed May 12 2021 tex - 0.9.3-1pclos2021
- new version

* Wed Mar 17 2021 tex - 0.9.2-1pclos2021
- new version

* Mon Feb 08 2021 tex - 0.9.1-1pclos2021
- new version

* Sun Dec 20 2020 tex - 0.9.0-1pclos2021
- new version

* Sat Sep 12 2020 tex - 0.6.2-3pclos2020
- rebuild against updates

* Mon Jun 15 2020 tex - 0.6.2-2pclos2020
- rebuild against updates

* Thu Mar 26 2020 tex - 0.6.2-1pclos2020
- new version

* Sun Dec 22 2019 tex - 0.6.1-1pclos2019
- new
